## ros-melodic-cloudwatch-metrics-collector 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cloudwatch_metrics_collector)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 14)

# Enable strict compiler flags if possible.
include(CheckCXXCompilerFlag)
# Removed -Wmissing-declarations until gmock is ignored
# removed -Werror=pedantic until ros.h is fixed
set(FLAGS -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings)
foreach(FLAG ${FLAGS})
  check_cxx_compiler_flag(${FLAG} R${FLAG})
  if(${R${FLAG}})
    set(WARNING_CXX_FLAGS "${WARNING_CXX_FLAGS} ${FLAG}")
  endif()
endforeach()

if(NOT DEFINED CXX_DISABLE_WERROR)
  set(WARNING_CXX_FLAGS "-Werror ${WARNING_CXX_FLAGS}")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_CXX_FLAGS}")

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

find_package(dataflow_lite REQUIRED)
find_package(file_management REQUIRED)
find_package(cloudwatch_metrics_common REQUIRED)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
        cloudwatch_metrics_common
        roscpp
        aws_common
        aws_ros1_common
        rosgraph_msgs
        ros_monitoring_msgs
        std_srvs
        std_msgs)

###################################
## catkin specific configuration ##
###################################
catkin_package()

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(${catkin_INCLUDE_DIRS})

## Declare a C++ executable
add_library(${PROJECT_NAME}_lib SHARED src/metrics_collector.cpp src/metrics_collector_parameter_helper.cpp)

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${dataflow_lite_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${dataflow_lite_common_LIBRARIES})

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${file_management_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${file_management_LIBRARIES})

target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${cloudwatch_metrics_common_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${cloudwatch_metrics_common_LIBRARIES})

add_executable(${PROJECT_NAME} src/main.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE include ${catkin_INCLUDE_DIRS} ${cloudwatch_metrics_common_INCLUDE_DIRS})
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_lib ${cloudwatch_metrics_common_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}_lib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY
  config
  launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
if(CATKIN_ENABLE_TESTING)
  set(CW_METRICS_COLLECTOR_TEST test_cloudwatch_metrics_collector)
  find_package(rostest REQUIRED)
  find_package(GMock QUIET)
  if(GMOCK_FOUND)
    add_rostest_gmock(${CW_METRICS_COLLECTOR_TEST}
      test/test_cloudwatch_metrics_collector.test
      test/cloudwatch_metrics_collector_test.cpp
    )
    target_include_directories(${CW_METRICS_COLLECTOR_TEST} PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_metrics_collector_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(${CW_METRICS_COLLECTOR_TEST}
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )
  else()
    include_directories(/usr/include/gmock /usr/src/gmock)
    add_library(${PROJECT_NAME}_libgmock SHARED /usr/src/gmock/src/gmock-all.cc)

    add_rostest_gtest(${CW_METRICS_COLLECTOR_TEST}
      test/test_cloudwatch_metrics_collector.test
      test/cloudwatch_metrics_collector_test.cpp
    )
    target_include_directories(${CW_METRICS_COLLECTOR_TEST} PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${cloudwatch_metrics_collector_INCLUDE_DIRS}
    )
    target_link_libraries(${CW_METRICS_COLLECTOR_TEST}
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )
  endif()
endif()

=== debian/changelog ===
ros-melodic-cloudwatch-metrics-collector (2.2.1-2stretch) stretch; urgency=high

  * Bumpinng package version to match bloom release (#45 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/45>)
    Bump version to 2.2.1
  * Fix linting issues found by clang-tidy 6.0 (#43 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/43>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
  * Bump package version to 2.2.0 (#42 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/42>)
  * Fix default metric options
    - Fix bug where default metric storage directory, file prefix etc were
    being set to the same as logs causing issues when running both
    cloudwatch logs and metrics at the same time.
  * Merge pull request #37 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/37> from aws-robotics/restore-tests
    Restored unit tests
  * Restored unit tests
  * 
    
      * minor README changes (#35 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/35>)
      * remove debug flag (run with level info)
    
  * install missing library (#33 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/33>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * increment version for offline metrics feature (#32 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/32>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Fixing std_msgs, std_srvs dependency resolution (#30 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/30>)
    * Add std_msgs to CMakeLists.txt
    * Add build_depend on std_srvs, std_msgs
  * Find std_srvs in CMakeLists.txt
  * Offline Metrics (#28 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/28>)
    * ROS-1775: Adapt Interfaces to CW Metrics
    cr https://code.amazon.com/reviews/CR-10106570
    * Addressed review comments
    * Add reading of parameters from config file
    - Add reading of CloudWatch upload and file management settings from the
    config file. This is very similar to CloudWatchLogs parameter reading
    but using a different base CloudWatchOptions with some different default
    settings
    - Add sample configuration file that has all the same values as the
    default values for each option in alphabetical order.
    cr https://code.amazon.com/reviews/CR-10331605
    * Disable trigger_publish_size by default. Add comment that it cannot be larger than max_queue_size
    * Move advanced configuration to README, code style fixes
    - Move all the advanced configuration parameters for offline metrics to the
    README instead of the sample configuration.
    - Improve parameter reading to re-use functions more and not return any
    codes if they're just going to be ignored.
    cr https://code.amazon.com/reviews/CR-10537580
    * Style fixes. Change missing param WARN's to INFO's
    * [Bug] CW Metrics ROS1 Timer incorrectly created
    cr https://code.amazon.com/reviews/CR-10549890
    * Remove stream_max_queue_size as it's not used
    * Improved README. Removed performance benchmarking
    * Add stream_max_queue_size parameter
    Add reading this parameter from config file and describing it in the advanced parameters section of the README.
    cr https://code.amazon.com/reviews/CR-10583080
    *  - support service changes
    - add query for connection state
    * fix unit test failure
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Use standard CMake macros for adding gtest/gmock tests (#25 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/25>)
    * modify cloudwatch_metrics_collector to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Add test for timestamp extraction from MetricData
  * fix broken build when cmake/rostest cannot find the gmock library (#13 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/13>)
  * Fix timestamp conversion bug #10 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/10>
  * Update CMakeLists.txt
  * Update to use non-legacy ParameterReader API (#7 <https://github.com/aws-robotics/cloudwatchmetrics-ros1/issues/7>)
    * Update to use non-legacy ParameterReader API
    * increment package version
    * address comments, remove use of Aws::CloudWatch::Metrics namespace
  * Allow users to configure ROS output location
  * Contributors: AAlon, Devin Bonnie, Juan Rodriguez Hortala, M. M, Miaofei Mei, Ragha Prasad, Ryan Newell, Tim Robinson

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 27 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-cloudwatch-metrics-collector
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-catkin, ros-melodic-cloudwatch-metrics-common, ros-melodic-ros-monitoring-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://wiki.ros.org/cloudwatch_metrics_collector
Standards-Version: 3.9.2

Package: ros-melodic-cloudwatch-metrics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-aws-common, ros-melodic-aws-ros1-common, ros-melodic-cloudwatch-metrics-common, ros-melodic-ros-monitoring-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: Subscriber node for the aws/monitoring topic to publish metrics to AWS Cloudwatch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cloudwatch-metrics-collector//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
